import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, g = Object.getOwnPropertyDescriptor, p = (c, t, i, l) => {
  for (var e = l > 1 ? void 0 : l ? g(t, i) : t, s = c.length - 1, o; s >= 0; s--)
    (o = c[s]) && (e = (l ? o(t, i, e) : o(e)) || e);
  return l && e && m(t, i, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--belgium", this.class = "c-pieIcon c-pieIcon--belgium", this.name = "IconFlagBelgium";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--belgium"><path fill="#FFDA44" d="M10.433 1.438a6.986 6.986 0 0 0-4.867 0L4.956 8l.61 6.562a6.984 6.984 0 0 0 4.867 0L11.043 8l-.61-6.562Z"></path><path fill="#D80027" d="M15 8a7 7 0 0 0-4.567-6.562v13.124A7.001 7.001 0 0 0 15 8Z"></path><path fill="#333" d="M1 8a7 7 0 0 0 4.566 6.562V1.438A6.999 6.999 0 0 0 1 8Z"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = p([
  h("icon-flag-belgium")
], r);
export {
  r as IconFlagBelgium
};
